/* ctlfac_impl.h - XXCOMMENTXX

   Dents - a threaded modular dns-server.
   Copyright (C) 1999  Dents Team  (http://www.dents.org)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or (at
   your option) any later version. This program is distributed in the
   hope that it will be useful, but WITHOUT ANY WARRANTY; without even
   the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
   PURPOSE.  See the GNU General Public License for more details.  */

#ifndef DENTS_CTLFAC_IMPL_H
#define DENTS_CTLFAC_IMPL_H

#include <orb/orbit.h>
#include "ctlfac.h"

void
  get_uptime
  (PortableServer_Servant servant,
   Dents_ctlfac_tul * uptime, CORBA_Environment * ev);

CORBA_char *get_ident
/*
   (Dents_ctlfac _obj,
 */
  (PortableServer_Servant servant, CORBA_Environment * ev);

void reset_server (PortableServer_Servant servant, CORBA_Environment * ev);

void
  get_resettime
  (PortableServer_Servant servant,
   Dents_ctlfac_tul * uptime, CORBA_Environment * ev);

Dents_ctlfac_RecursionType get_recursion_type
/*
   (Dents_ctlfac _obj,
 */
  (PortableServer_Servant servant, CORBA_Environment * ev);

Dents_ctlfac_ResetState
get_reset (PortableServer_Servant servant, CORBA_Environment * ev);

void
  get_authans
  (PortableServer_Servant servant,
   Dents_ctlfac_tul * authans, CORBA_Environment * ev);

void
  get_authnonames
  (PortableServer_Servant servant,
   Dents_ctlfac_tul * authnonames, CORBA_Environment * ev);

void
  get_authnodata
  (PortableServer_Servant servant,
   Dents_ctlfac_tul * authnodata, CORBA_Environment * ev);

void
  get_authdata
  (PortableServer_Servant servant,
   Dents_ctlfac_tul * authdata, CORBA_Environment * ev);

#endif
