/* server-impl.h - XXCOMMENTXX

   Dents - a threaded modular dns-server.
   Copyright (C) 1999  Dents Team  (http://www.dents.org)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or (at
   your option) any later version. This program is distributed in the
   hope that it will be useful, but WITHOUT ANY WARRANTY; without even
   the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
   PURPOSE.  See the GNU General Public License for more details.  */
/* prototypes for implementations of control facility interface */

#ifndef DENTS_CTLFAC_IMPL_H
#define DENTS_CTLFAC_IMPL_H

#include <orb/orbit.h>
#include "ctlfac.h"

void
  getuptime
  (PortableServer_Servant servant,
   Dents_ctlfac_tul * uptime, CORBA_Environment * ev);

CORBA_char *getident (Dents_ctlfac _obj, CORBA_Environment * ev);

void reset_server (PortableServer_Servant servant, CORBA_Environment * ev);

void
  getresettime
  (PortableServer_Servant servant,
   Dents_ctlfac_tul * uptime, CORBA_Environment * ev);

Dents_ctlfac_RecursionType
getrecursion (Dents_ctlfac _obj, CORBA_Environment * ev);

Dents_ctlfac_ResetState
getreset (PortableServer_Servant servant, CORBA_Environment * ev);

void
  getauthans
  (PortableServer_Servant servant,
   Dents_ctlfac_tul * authans, CORBA_Environment * ev);

void
  getauthnonames
  (PortableServer_Servant servant,
   Dents_ctlfac_tul * authnonames, CORBA_Environment * ev);

void
  getauthnodata
  (PortableServer_Servant servant,
   Dents_ctlfac_tul * authnodata, CORBA_Environment * ev);

void
  getauthdata
  (PortableServer_Servant servant,
   Dents_ctlfac_tul * authdata, CORBA_Environment * ev);

void
  getauthnodata
  (PortableServer_Servant servant,
   Dents_ctlfac_tul * authnodata, CORBA_Environment * ev);

#endif
