/* err.h - XXCOMMENTXX

   Dents - a threaded modular dns-server.
   Copyright (C) 1999  Dents Team  (http://www.dents.org)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or (at
   your option) any later version. This program is distributed in the
   hope that it will be useful, but WITHOUT ANY WARRANTY; without even
   the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
   PURPOSE.  See the GNU General Public License for more details.  */

/*
 * err.h
 *
 *  Error handling/reporting routines
 */
#ifndef ERR_H
#define ERR_H

/*
 * Prototypes
 */

/* err.c */
void err_fatal (char *format, ...);
void err_warn (char *format, ...);
void err_info (char *format, ...);

#endif
