#ifndef TGLPIPEUTIL_H
#define TGLPIPEUTIL_H

extern void pipeutil_init(void);

/* Line-processing stuff */
extern char **pipeutil_getline(dproc * tdproc, struct timeval *timeout);
extern int pipeutil_count_elems(char **bird);
extern void pipeutil_display(int argc, char *argv[]);
extern void pipeutil_free_bird(char **bird);

/* Child-process stuff */
extern dproc *pipeutil_demand_load_dproc(char *name);
extern void pipeutil_demand_unload_dproc(dproc * tdproc);
extern dproc *pipeutil_find_and_grab_dproc(char *domainname);
extern void pipeutil_release_dproc(dproc * rdproc);
extern gboolean dproc_has_domain(dproc * dp, char *domainname);

/* DNS stuff; probably needs rearranging */
extern dproc_zone *find_dz_by_name(char *name, dproc * dp);

#endif /*TGLPIPEUTIL_H */
