/* conf_nc_lexer.h - XXCOMMENTXX

   Dents - a threaded modular dns-server.
   Copyright (C) 1999  Dents Team  (http://www.dents.org)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or (at
   your option) any later version. This program is distributed in the
   hope that it will be useful, but WITHOUT ANY WARRANTY; without even
   the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
   PURPOSE.  See the GNU General Public License for more details.  */
/*
 * conf_nc_lexer.h
 *
 *  All of the structures used for the config routines
 */
#ifndef CONF_NC_LEXER_H
#define CONF_NC_LEXER_H

#define LEX_KW(n, t)	{ t, DB_RB_NULL, n }

/* Prototypes */

int yylex(void);
void yyerror(char *, ...);
int lexer_open(u_char *configfn);
void lexer_close(void);
void lexer_init(void);

#endif

