
/*  A Bison parser, made from conf_nc_parser.y with Bison version GNU Bison version 1.24
  */

#define YYBISON 1  /* Identify Bison output.  */

#define	C_INCLUDE	258
#define	C_OPTIONS	259
#define	C_ZONE	260
#define	C_ACL	261
#define	C_KEY	262
#define	C_SERVER	263
#define	C_LOGGING	264
#define	C_DIRECTORY	265
#define	C_NAMED_XFER	266
#define	C_PID_FILE	267
#define	C_STATISTICS_FILE	268
#define	C_CHECK_NAMES	269
#define	C_MEMSTATISTICS_FILE	270
#define	C_DUMP_FILE	271
#define	C_FAKE_IQUERY	272
#define	C_RECURSION	273
#define	C_FETCH_GLUE	274
#define	C_NOTIFY	275
#define	C_HOST_STATISTICS	276
#define	C_DEALLOCATE_ON_EXIT	277
#define	C_AUTH_NXDOMAIN	278
#define	C_MAX_TRANSFER_TIME_IN	279
#define	C_FIRST	280
#define	C_ONLY	281
#define	C_MULTIPLE_CNAMES	282
#define	C_ALLOW_QUERY	283
#define	C_ALLOW_TRANSFER	284
#define	C_TRANSFERS_IN	285
#define	C_TRANSFER_PER_NS	286
#define	C_TRANSFERS_OUT	287
#define	C_TRANSFER_FORMAT	288
#define	C_QUERY_SOURCE	289
#define	C_FORWARD	290
#define	C_FORWARDERS	291
#define	C_TOPOLOGY	292
#define	C_LISTEN_ON	293
#define	C_CLEANING_INTERVAL	294
#define	C_INTERFACE_INTERVAL	295
#define	C_STATISTICS_INTERVAL	296
#define	C_IN	297
#define	C_CHAOS	298
#define	C_HESIOD	299
#define	C_CSNET	300
#define	C_TYPE	301
#define	C_FILE	302
#define	C_MASTERS	303
#define	C_ALLOW_UPDATE	304
#define	C_ALSO_NOTIFY	305
#define	C_CAN_QUERY	306
#define	C_CAN_AXFR	307
#define	C_ALGORITHM	308
#define	C_SECRET	309
#define	C_BOGUS	310
#define	C_TRANFERS	311
#define	C_KEYS	312
#define	C_CHANNEL	313
#define	C_CATEGORY	314
#define	C_SYSLOG_ERRORS	315
#define	C_SYSLOG	316
#define	C_SEVERITY	317
#define	C_PARSER	318
#define	C_DEFAULT_SYSLOG	319
#define	C_LAME_SERVERS	320
#define	C_MODERATE_DEBUG	321
#define	C_PRINT_TIME	322
#define	C_PRINT_CATEGORY	323
#define	C_PRINT_SEVERITY	324
#define	C_LOAD	325
#define	C_NO_INFO_MESSAGES	326
#define	C_PANIC	327
#define	C_EVENTLIB	328
#define	C_PACKET	329
#define	C_YES	330
#define	C_NO	331
#define	C_IGNORE	332
#define	C_IF_NO_ANSWER	333
#define	C_MANY_ANSWERS	334
#define	C_MASTER	335
#define	C_NULL	336
#define	C_ONE_ANSWER	337
#define	C_PORT	338
#define	C_RESPONSE	339
#define	C_SIZE	340
#define	C_SLAVE	341
#define	C_STACKSIZE	342
#define	C_STUB	343
#define	C_TRANSFER_SOURCE	344
#define	C_TRANSFERS	345
#define	C_TRANSFERS_PER_NS	346
#define	C_TRUE	347
#define	C_UNLIMITED	348
#define	C_VERSIONS	349
#define	C_WARN	350
#define	C_ADDRESS	351
#define	C_CORESIZE	352
#define	C_DATASIZE	353
#define	C_DEALLOC_ON_EXIT	354
#define	C_DEBUG	355
#define	C_DEFAULT	356
#define	C_DYNAMIC	357
#define	C_FAIL	358
#define	C_FALSE	359
#define	C_FILES	360
#define	C_HINT	361
#define	C_IF_NO_DOMAIN	362
#define	EOS	363
#define	END_INCLUDE	364
#define	QSTRING	365
#define	STRING	366
#define	IPADDR	367
#define	NUMBER	368

#line 1 "conf_nc_parser.y"

/* conf_nc_parser.[cy] - parses named.conf style configuration file.

   Dents - a threaded modular dns-server.
   Copyright (C) 1999  Dents Team  (http://www.dents.org)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or (at
   your option) any later version. This program is distributed in the
   hope that it will be useful, but WITHOUT ANY WARRANTY; without even
   the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
   PURPOSE.  See the GNU General Public License for more details.  */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <sys/types.h>          /* struct in_addr */
#include <sys/socket.h>         /* struct in_addr */
#include <netinet/in.h>         /* struct in_addr */
#include <arpa/inet.h>		/* inet_ntoa */
#include <stdarg.h>		/* valist, etc */
#include <stdio.h>		/* FILE, fopen, etc */

#include "conf.h"
#include "conf_nc_lexer.h"

/* Quickie macro'ss */
#define SET_STRING(x, v)	\
	if (x)			\
	  free(x);		\
	x = v;

#line 36 "conf_nc_parser.y"
typedef union
{
  char *string;
  struct in_addr ipaddr;
  long num;

  struct iplist *ipl;
  struct iplist_entry *iple;
} YYSTYPE;

#ifndef YYLTYPE
typedef
  struct yyltype
    {
      int timestamp;
      int first_line;
      int first_column;
      int last_line;
      int last_column;
      char *text;
   }
  yyltype;

#define YYLTYPE yyltype
#endif

#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	YYFINAL		160
#define	YYFLAG		-32768
#define	YYNTBASE	119

#define YYTRANSLATE(x) ((unsigned)(x) <= 368 ? yytranslate[x] : 150)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,   115,     2,     2,     2,     2,     2,     2,     2,
     2,   114,     2,     2,     2,     2,   116,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,   117,     2,   118,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     2,     3,     4,     5,
     6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
    16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
    26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
    36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
    46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
    56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
    66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
    76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
    86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
    96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
   106,   107,   108,   109,   110,   111,   112,   113
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     2,     4,     7,     9,    12,    15,    17,    19,    21,
    23,    25,    28,    31,    34,    36,    38,    40,    42,    44,
    46,    48,    50,    53,    57,    60,    64,    66,    69,    71,
    73,    77,    81,    83,    87,    89,    91,    93,    94,    97,
   101,   106,   109,   113,   114,   117,   120,   123,   126,   129,
   132,   135,   138,   141,   144,   147,   150,   153,   156,   159,
   162,   165,   168,   171,   174,   177,   182,   187,   192,   198,
   201,   204,   206,   209,   211,   214,   215,   223,   224,   226,
   228,   230,   232,   234,   237,   241,   242,   245,   248,   249
};

static const short yyrhs[] = {   120,
     0,   121,     0,   120,   121,     0,   136,     0,   137,   108,
     0,   143,   108,     0,   113,     0,   112,     0,   114,     0,
   122,     0,   114,     0,    80,   126,     0,    86,   126,     0,
    84,   126,     0,   103,     0,    95,     0,    77,     0,    82,
     0,    79,     0,   112,     0,   111,     0,   114,     0,   128,
   108,     0,   129,   128,   108,     0,   131,   108,     0,   130,
   131,   108,     0,   133,     0,   115,   133,     0,   111,     0,
   112,     0,   112,   116,   113,     0,   113,   116,   113,     0,
   132,     0,   117,   130,   118,     0,    75,     0,    76,     0,
   113,     0,     0,    83,   122,     0,     3,   110,   108,     0,
     4,   117,   138,   118,     0,   139,   108,     0,   138,   139,
   108,     0,     0,    10,   110,     0,    11,   110,     0,    12,
   110,     0,    13,   110,     0,    15,   110,     0,    16,   110,
     0,    17,   134,     0,    18,   134,     0,    19,   134,     0,
    20,   134,     0,    21,   134,     0,    22,   134,     0,    23,
   134,     0,    27,   134,     0,    30,   113,     0,    91,   113,
     0,    32,   113,     0,    24,   113,     0,    33,   127,     0,
    14,   125,     0,    34,   142,     0,    28,   117,   130,   118,
     0,    29,   117,   130,   118,     0,    37,   117,   130,   118,
     0,    38,   135,   117,   130,   118,     0,    96,   123,     0,
    83,   124,     0,   140,     0,   140,   141,     0,   141,     0,
   141,   140,     0,     0,     5,   110,   145,   144,   117,   147,
   118,     0,     0,   111,     0,   106,     0,    80,     0,    86,
     0,    88,     0,   148,   108,     0,   147,   148,   108,     0,
     0,    46,   146,     0,    47,   110,     0,     0,    48,   149,
   117,   129,   118,     0
};

#endif

#if YYDEBUG != 0
static const short yyrline[] = { 0,
    94,    96,    96,    98,    98,    98,   101,   107,   107,   112,
   112,   117,   120,   123,   128,   131,   134,   139,   142,   147,
   151,   154,   159,   160,   162,   170,   177,   177,   184,   189,
   192,   202,   220,   220,   228,   231,   234,   244,   248,   256,
   264,   266,   266,   268,   269,   273,   277,   281,   285,   289,
   293,   297,   301,   305,   309,   313,   317,   321,   325,   329,
   333,   337,   341,   345,   346,   347,   351,   355,   359,   367,
   372,   377,   378,   379,   379,   381,   384,   386,   387,   393,
   396,   399,   402,   407,   407,   409,   410,   413,   416,   419
};

static const char * const yytname[] = {   "$","error","$undefined.","C_INCLUDE",
"C_OPTIONS","C_ZONE","C_ACL","C_KEY","C_SERVER","C_LOGGING","C_DIRECTORY","C_NAMED_XFER",
"C_PID_FILE","C_STATISTICS_FILE","C_CHECK_NAMES","C_MEMSTATISTICS_FILE","C_DUMP_FILE",
"C_FAKE_IQUERY","C_RECURSION","C_FETCH_GLUE","C_NOTIFY","C_HOST_STATISTICS",
"C_DEALLOCATE_ON_EXIT","C_AUTH_NXDOMAIN","C_MAX_TRANSFER_TIME_IN","C_FIRST",
"C_ONLY","C_MULTIPLE_CNAMES","C_ALLOW_QUERY","C_ALLOW_TRANSFER","C_TRANSFERS_IN",
"C_TRANSFER_PER_NS","C_TRANSFERS_OUT","C_TRANSFER_FORMAT","C_QUERY_SOURCE","C_FORWARD",
"C_FORWARDERS","C_TOPOLOGY","C_LISTEN_ON","C_CLEANING_INTERVAL","C_INTERFACE_INTERVAL",
"C_STATISTICS_INTERVAL","C_IN","C_CHAOS","C_HESIOD","C_CSNET","C_TYPE","C_FILE",
"C_MASTERS","C_ALLOW_UPDATE","C_ALSO_NOTIFY","C_CAN_QUERY","C_CAN_AXFR","C_ALGORITHM",
"C_SECRET","C_BOGUS","C_TRANFERS","C_KEYS","C_CHANNEL","C_CATEGORY","C_SYSLOG_ERRORS",
"C_SYSLOG","C_SEVERITY","C_PARSER","C_DEFAULT_SYSLOG","C_LAME_SERVERS","C_MODERATE_DEBUG",
"C_PRINT_TIME","C_PRINT_CATEGORY","C_PRINT_SEVERITY","C_LOAD","C_NO_INFO_MESSAGES",
"C_PANIC","C_EVENTLIB","C_PACKET","C_YES","C_NO","C_IGNORE","C_IF_NO_ANSWER",
"C_MANY_ANSWERS","C_MASTER","C_NULL","C_ONE_ANSWER","C_PORT","C_RESPONSE","C_SIZE",
"C_SLAVE","C_STACKSIZE","C_STUB","C_TRANSFER_SOURCE","C_TRANSFERS","C_TRANSFERS_PER_NS",
"C_TRUE","C_UNLIMITED","C_VERSIONS","C_WARN","C_ADDRESS","C_CORESIZE","C_DATASIZE",
"C_DEALLOC_ON_EXIT","C_DEBUG","C_DEFAULT","C_DYNAMIC","C_FAIL","C_FALSE","C_FILES",
"C_HINT","C_IF_NO_DOMAIN","EOS","END_INCLUDE","QSTRING","STRING","IPADDR","NUMBER",
"'*'","'!'","'/'","'{'","'}'","start","command_list","command","port","wild_addr",
"wild_port","check_names_type","check_names_action","transfer_format","masters_ipaddr",
"masters_ipaddr_list","address_list","address_entry","address_name","address_simple",
"yes_or_no","poss_port","include","options_block","option_lines","option_line",
"query_source_address","query_source_port","query_source","zone_block","@1",
"optional_zone_class","zone_type","zone_lines","zone_line","@2",""
};
#endif

static const short yyr1[] = {     0,
   119,   120,   120,   121,   121,   121,   122,   123,   123,   124,
   124,   125,   125,   125,   126,   126,   126,   127,   127,   128,
   128,   128,   129,   129,   130,   130,   131,   131,   132,   133,
   133,   133,   133,   133,   134,   134,   134,   135,   135,   136,
   137,   138,   138,   139,   139,   139,   139,   139,   139,   139,
   139,   139,   139,   139,   139,   139,   139,   139,   139,   139,
   139,   139,   139,   139,   139,   139,   139,   139,   139,   140,
   141,   142,   142,   142,   142,   144,   143,   145,   145,   146,
   146,   146,   146,   147,   147,   148,   148,   148,   149,   148
};

static const short yyr2[] = {     0,
     1,     1,     2,     1,     2,     2,     1,     1,     1,     1,
     1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
     1,     1,     2,     3,     2,     3,     1,     2,     1,     1,
     3,     3,     1,     3,     1,     1,     1,     0,     2,     3,
     4,     2,     3,     0,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     4,     4,     4,     5,     2,
     2,     1,     2,     1,     2,     0,     7,     0,     1,     1,
     1,     1,     1,     2,     3,     0,     2,     2,     0,     5
};

static const short yydefact[] = {     0,
     0,     0,     0,     1,     2,     4,     0,     0,     0,    44,
    78,     3,     5,     6,    40,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,    38,     0,
    44,     0,    79,    76,    45,    46,    47,    48,     0,     0,
     0,    64,    49,    50,    35,    36,    37,    51,    52,    53,
    54,    55,    56,    57,    62,    58,     0,     0,    59,    61,
    19,    18,    63,     0,     0,    72,    74,    65,     0,     0,
     0,    60,    41,     0,    42,     0,    17,    16,    15,    12,
    14,    13,    29,    30,     0,     0,     0,     0,     0,    33,
    27,     0,     7,    11,    10,    71,     8,     9,    70,    73,
    75,     0,    39,     0,    43,    86,     0,     0,    28,     0,
    66,     0,    25,    67,    68,     0,     0,     0,    89,    86,
     0,    31,    32,    34,    26,    69,    81,    82,    83,    80,
    87,    88,     0,    77,     0,    84,     0,    85,    21,    20,
    22,     0,     0,    23,    90,     0,    24,     0,     0,     0
};

static const short yydefgoto[] = {   158,
     4,     5,   105,   109,   106,    52,    90,    73,   152,   153,
    98,    99,   100,   101,    58,    81,     6,     7,    41,    42,
    76,    77,    78,     8,    86,    44,   141,   130,   131,   143
};

static const short yypact[] = {    82,
   -94,   -96,   -85,    82,-32768,-32768,   -63,   -58,   -20,    19,
    -7,-32768,-32768,-32768,-32768,   -11,     6,     8,    14,    77,
    16,    24,   -21,   -21,   -21,   -21,   -21,   -21,   -21,    23,
   -21,    25,    27,    37,    39,     0,   -19,    49,    46,    54,
   -10,    60,-32768,-32768,-32768,-32768,-32768,-32768,   -12,   -12,
   -12,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,    36,    36,-32768,-32768,
-32768,-32768,-32768,    45,   -34,    79,    73,-32768,    36,    57,
    56,-32768,-32768,    63,-32768,    58,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,    61,    62,    43,    36,    -6,    64,-32768,
-32768,     2,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,    10,-32768,    36,-32768,    55,    66,    67,-32768,    20,
-32768,    68,-32768,-32768,-32768,    28,   -17,    71,-32768,    12,
    74,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,    70,-32768,    75,-32768,   -39,-32768,-32768,-32768,
-32768,    76,   -44,-32768,-32768,    78,-32768,   174,   185,-32768
};

static const short yypgoto[] = {-32768,
-32768,   184,   109,-32768,-32768,-32768,   114,-32768,    38,-32768,
   -53,   -36,-32768,    94,    69,-32768,-32768,-32768,-32768,   151,
   116,   118,-32768,-32768,-32768,-32768,-32768,-32768,    65,-32768
};


#define	YYLAST		195


static const short yytable[] = {    16,
    17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
    27,    28,    29,    30,   102,     9,    31,    32,    33,    34,
    10,    35,    36,    37,    11,   112,    38,    39,    16,    17,
    18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
    28,    29,    30,   120,    13,    31,    32,    33,    34,    14,
    35,    36,    37,    55,    56,    38,    39,   127,   128,   129,
   126,   122,   137,    74,    87,   122,   149,   150,   138,   151,
   139,   149,   150,   155,   151,   122,    75,   107,    71,   108,
    40,    72,    88,   122,     1,     2,     3,    15,   140,   122,
    89,    57,    59,    60,    61,    62,    63,    64,    45,    66,
   127,   128,   129,    43,    93,    94,    95,    83,    96,    40,
    97,   121,    93,    94,    95,    46,    96,    47,    97,   124,
    93,    94,    95,    48,    96,    53,    97,   125,    80,   144,
    93,    94,    95,    54,    96,    65,    97,   134,    93,    94,
    95,    67,    96,    68,    97,   136,    93,    94,    95,    69,
    96,    70,    97,    93,    94,    95,    49,   103,   104,    97,
    50,    74,    51,    91,    92,    79,    82,    85,    75,   103,
   115,   123,   114,   159,   116,   135,   117,   118,   132,   133,
   142,   146,   148,   154,   160,   157,   147,    12,   113,   119,
   156,    84,   111,   110,   145
};

static const short yycheck[] = {    10,
    11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
    21,    22,    23,    24,    68,   110,    27,    28,    29,    30,
   117,    32,    33,    34,   110,    79,    37,    38,    10,    11,
    12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
    22,    23,    24,    97,   108,    27,    28,    29,    30,   108,
    32,    33,    34,    75,    76,    37,    38,    46,    47,    48,
   114,    98,    80,    83,    77,   102,   111,   112,    86,   114,
    88,   111,   112,   118,   114,   112,    96,   112,    79,   114,
    91,    82,    95,   120,     3,     4,     5,   108,   106,   126,
   103,   113,    24,    25,    26,    27,    28,    29,   110,    31,
    46,    47,    48,   111,   111,   112,   113,   118,   115,    91,
   117,   118,   111,   112,   113,   110,   115,   110,   117,   118,
   111,   112,   113,   110,   115,   110,   117,   118,    83,   118,
   111,   112,   113,   110,   115,   113,   117,   118,   111,   112,
   113,   117,   115,   117,   117,   118,   111,   112,   113,   113,
   115,   113,   117,   111,   112,   113,    80,   113,   114,   117,
    84,    83,    86,    50,    51,   117,   113,   108,    96,   113,
   108,   108,   117,     0,   117,   108,   116,   116,   113,   113,
   110,   108,   108,   108,     0,   108,   117,     4,    80,    96,
   153,    41,    77,    76,   130
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/local/gnu/share/bison.simple"

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

#ifndef alloca
#ifdef __GNUC__
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi)
#include <alloca.h>
#else /* not sparc */
#if defined (MSDOS) && !defined (__TURBOC__)
#include <malloc.h>
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
#include <malloc.h>
 #pragma alloca
#else /* not MSDOS, __TURBOC__, or _AIX */
#ifdef __hpux
#ifdef __cplusplus
extern "C" {
void *alloca (unsigned int);
};
#else /* not __cplusplus */
void *alloca ();
#endif /* not __cplusplus */
#endif /* __hpux */
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc.  */
#endif /* not GNU C.  */
#endif /* alloca not defined.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	return(0)
#define YYABORT 	return(1)
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, &yylloc, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval, &yylloc)
#endif
#else /* not YYLSP_NEEDED */
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif /* not YYLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
int yyparse (void);
#endif

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_memcpy(FROM,TO,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (from, to, count)
     char *from;
     char *to;
     int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (char *from, char *to, int count)
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 192 "/usr/local/gnu/share/bison.simple"

/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
#else
#define YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#endif

int
yyparse(YYPARSE_PARAM)
     YYPARSE_PARAM_DECL
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
      yyss = (short *) alloca (yystacksize * sizeof (*yyssp));
      __yy_memcpy ((char *)yyss1, (char *)yyss, size * sizeof (*yyssp));
      yyvs = (YYSTYPE *) alloca (yystacksize * sizeof (*yyvsp));
      __yy_memcpy ((char *)yyvs1, (char *)yyvs, size * sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) alloca (yystacksize * sizeof (*yylsp));
      __yy_memcpy ((char *)yyls1, (char *)yyls, size * sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  goto yybackup;
 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 7:
#line 101 "conf_nc_parser.y"
{
  /* Check for valid number? */
  yyval. num  = yyvsp[0]. num ;
;
    break;}
case 9:
#line 107 "conf_nc_parser.y"
{
  yyval. ipaddr .s_addr = htonl (INADDR_ANY);
;
    break;}
case 11:
#line 112 "conf_nc_parser.y"
{
  yyval. num  = htons (0);
;
    break;}
case 12:
#line 117 "conf_nc_parser.y"
{
  config.cn_master = yyvsp[0]. num ;
;
    break;}
case 13:
#line 120 "conf_nc_parser.y"
{
  config.cn_slave = yyvsp[0]. num ;
;
    break;}
case 14:
#line 123 "conf_nc_parser.y"
{
  config.cn_response = yyvsp[0]. num ;
;
    break;}
case 15:
#line 128 "conf_nc_parser.y"
{
  yyval. num  = CN_FAIL;
;
    break;}
case 16:
#line 131 "conf_nc_parser.y"
{
  yyval. num  = CN_WARN;
;
    break;}
case 17:
#line 134 "conf_nc_parser.y"
{
  yyval. num  = CN_IGNORE;
;
    break;}
case 18:
#line 139 "conf_nc_parser.y"
{
  yyval. num  = TRANS_ONE;
;
    break;}
case 19:
#line 142 "conf_nc_parser.y"
{
  yyval. num  = TRANS_MANY;
;
    break;}
case 20:
#line 147 "conf_nc_parser.y"
{
  /* Verify the IP Address */
  printf ("Adding IP %s\n", inet_ntoa (yyvsp[0]. ipaddr ));
;
    break;}
case 21:
#line 151 "conf_nc_parser.y"
{
  printf ("IP name: %s\n", yyvsp[0]. string );
;
    break;}
case 22:
#line 154 "conf_nc_parser.y"
{
  printf ("Any IP\n");
;
    break;}
case 25:
#line 162 "conf_nc_parser.y"
{
  struct iplist *ipl;

  ipl = iplist_create ();
  if (yyvsp[-1]. iple  != NULL)
    iplist_add (ipl, yyvsp[-1]. iple );
  yyval. ipl  = ipl;
;
    break;}
case 26:
#line 170 "conf_nc_parser.y"
{
  if (yyvsp[-1]. iple  != NULL)
    iplist_add (yyvsp[-2]. ipl , yyvsp[-1]. iple );
  yyval. ipl  = yyvsp[-2]. ipl ;
;
    break;}
case 28:
#line 177 "conf_nc_parser.y"
{
  if (yyvsp[0]. iple  != NULL)
    yyvsp[0]. iple ->flags |= IPMATCH_NOT;
  yyval. iple  = yyvsp[0]. iple ;
;
    break;}
case 29:
#line 184 "conf_nc_parser.y"
{
  yyval. iple  = iplist_name (yyvsp[0]. string );
;
    break;}
case 30:
#line 189 "conf_nc_parser.y"
{
  yyval. iple  = iplist_entry_nm (yyvsp[0]. ipaddr , 32);
;
    break;}
case 31:
#line 192 "conf_nc_parser.y"
{
  if (yyvsp[0]. num  < 0 || yyvsp[0]. num  > 32) {
    yyerror ("subnet length does not make sense, ignoring");
    yyval. iple  = NULL;
  } else {
    yyval. iple  = iplist_entry_nm (yyvsp[-2]. ipaddr , yyvsp[0]. num );
    if (yyval. iple  == NULL)
      yyerror ("address/mask error, ignoring");
  }
;
    break;}
case 32:
#line 202 "conf_nc_parser.y"
{
  struct in_addr ip;

  if (yyvsp[-2]. num  > 255) {
    yyerror ("network does not make sense, ignoring");
    yyval. iple  = NULL;
  } else {
    if (yyvsp[0]. num  < 0 || yyvsp[0]. num  > 32) {
      yyerror ("subnet length does not make sense, ignoring");
      yyval. iple  = NULL;
    } else {
      ip.s_addr = htonl (yyvsp[-2]. num  << 24);
      yyval. iple  = iplist_entry_nm (ip, yyvsp[0]. num );
      if (yyval. iple  == NULL)
	yyerror ("address/mask error, ignoring");
    }
  }
;
    break;}
case 34:
#line 220 "conf_nc_parser.y"
{
  yyval. iple  = iplist_entry_acl (yyvsp[-1]. ipl );
;
    break;}
case 35:
#line 228 "conf_nc_parser.y"
{
  yyval. num  = 1;
;
    break;}
case 36:
#line 231 "conf_nc_parser.y"
{
  yyval. num  = 0;
;
    break;}
case 37:
#line 234 "conf_nc_parser.y"
{
  if (yyvsp[0]. num  == 1 || yyvsp[0]. num  == 0) {
    yyval. num  = yyvsp[0]. num ;
  } else {
    err_warn ("invalid number, assuming yes");
    yyval. num  = 1;
  }
;
    break;}
case 38:
#line 245 "conf_nc_parser.y"
{
  yyval. num  = htons (0);
;
    break;}
case 39:
#line 248 "conf_nc_parser.y"
{
  yyval. num  = yyvsp[0]. num ;
;
    break;}
case 40:
#line 256 "conf_nc_parser.y"
{
  printf ("include %s\n", yyvsp[-1]. string );
;
    break;}
case 45:
#line 270 "conf_nc_parser.y"
{
  SET_STRING (config.directory, yyvsp[0]. string );
;
    break;}
case 46:
#line 274 "conf_nc_parser.y"
{
  err_warn ("named-xfer option not supported, ignoring");
;
    break;}
case 47:
#line 278 "conf_nc_parser.y"
{
  SET_STRING (config.pid_file, yyvsp[0]. string );
;
    break;}
case 48:
#line 282 "conf_nc_parser.y"
{
  SET_STRING (config.stats_file, yyvsp[0]. string );
;
    break;}
case 49:
#line 286 "conf_nc_parser.y"
{
  SET_STRING (config.mem_stats_file, yyvsp[0]. string );
;
    break;}
case 50:
#line 290 "conf_nc_parser.y"
{
  SET_STRING (config.dump_file, yyvsp[0]. string );
;
    break;}
case 51:
#line 294 "conf_nc_parser.y"
{
  err_warn ("fake-iquery option not supported, ignoring");
;
    break;}
case 52:
#line 298 "conf_nc_parser.y"
{
  config.recursion = yyvsp[0]. num ;
;
    break;}
case 53:
#line 302 "conf_nc_parser.y"
{
  err_warn ("fetch-glue option not supported, ignoring");
;
    break;}
case 54:
#line 306 "conf_nc_parser.y"
{
  config.notify = yyvsp[0]. num ;
;
    break;}
case 55:
#line 310 "conf_nc_parser.y"
{
  config.host_statistics = yyvsp[0]. num ;
;
    break;}
case 56:
#line 314 "conf_nc_parser.y"
{
  config.dealloc_on_exit = yyvsp[0]. num ;
;
    break;}
case 57:
#line 318 "conf_nc_parser.y"
{
  config.auth_nxdomain = yyvsp[0]. num ;
;
    break;}
case 58:
#line 322 "conf_nc_parser.y"
{
  config.multiple_cnames = yyvsp[0]. num ;
;
    break;}
case 59:
#line 326 "conf_nc_parser.y"
{
  config.transfers_in = yyvsp[0]. num ;
;
    break;}
case 60:
#line 330 "conf_nc_parser.y"
{
  config.transfers_per_ns = yyvsp[0]. num ;
;
    break;}
case 61:
#line 334 "conf_nc_parser.y"
{
  config.transfers_out = yyvsp[0]. num ;
;
    break;}
case 62:
#line 338 "conf_nc_parser.y"
{
  config.max_transfer_time_in = yyvsp[0]. num ;
;
    break;}
case 63:
#line 342 "conf_nc_parser.y"
{
  config.transfer = yyvsp[0]. num ;
;
    break;}
case 66:
#line 348 "conf_nc_parser.y"
{
  config.allow_query = yyvsp[-1]. ipl ;
;
    break;}
case 67:
#line 352 "conf_nc_parser.y"
{
  config.allow_transfer = yyvsp[-1]. ipl ;
;
    break;}
case 68:
#line 356 "conf_nc_parser.y"
{
  config.topology = yyvsp[-1]. ipl ;
;
    break;}
case 69:
#line 359 "conf_nc_parser.y"
{
  printf ("listen-on %ld\n", yyvsp[-3]. num );
#ifdef DENTS_DEBUG
  print_iplist (yyvsp[-1]. ipl );
#endif /* DENTS_DEBUG */
;
    break;}
case 70:
#line 367 "conf_nc_parser.y"
{
  config.query_source.sin_addr = yyvsp[0]. ipaddr ;
;
    break;}
case 71:
#line 372 "conf_nc_parser.y"
{
  config.query_source.sin_port = htons (yyvsp[0]. num );
;
    break;}
case 76:
#line 381 "conf_nc_parser.y"
{
  printf ("zone %s\n", yyvsp[-1]. string );
;
    break;}
case 79:
#line 387 "conf_nc_parser.y"
{
  printf ("class %s\n", yyvsp[0]. string );
;
    break;}
case 80:
#line 393 "conf_nc_parser.y"
{
  yyval. num  = 1;
;
    break;}
case 81:
#line 396 "conf_nc_parser.y"
{
  yyval. num  = 2;
;
    break;}
case 82:
#line 399 "conf_nc_parser.y"
{
  yyval. num  = 3;
;
    break;}
case 83:
#line 402 "conf_nc_parser.y"
{
  yyval. num  = 4;
;
    break;}
case 87:
#line 410 "conf_nc_parser.y"
{
  printf ("type %ld\n", yyvsp[0]. num );
;
    break;}
case 88:
#line 413 "conf_nc_parser.y"
{
  printf ("file %s\n", yyvsp[0]. string );
;
    break;}
case 89:
#line 416 "conf_nc_parser.y"
{
  printf ("adding masters list\n");
;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 487 "/usr/local/gnu/share/bison.simple"

  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

  goto yyerrlab1;
yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;
}
#line 421 "conf_nc_parser.y"
int
conf_nc_read (unsigned char *configfn)
{
  int ret;

  if ((ret = lexer_open (configfn)) < 0)
    return ret;

  yyparse ();

  /* FIXME: Where is the definition for this? */
  /* lexer_end_file(); */

  return 0;
}
