# Test named.boot file
#
# This is a standard Bind version 4 format file, with the 
# added keyword 'mod-primary' as a temporary way to load in a zone
# using a module.
#
directory db

cache		.				root.cache
primary		mydomain.com			db.mydomain
secondary	sventech.com	205.252.89.20	ca.sventech
primary         127.IN-ADDR.ARPA db.127
#
# NOTE: The following syntax is just a temporary way to load a module
#       and pass it arguments until we can get a better config file mechanism
#       in place!  -EZA 06/04/99
# 
# mod-primary statment allows you to load a zone using a module
# The 'argv' arguments are passed as members of the dns_zonerec structure
#
#mod-primary    <domain-name>                   <module-name>   <argv[0]>   <argv[1]>          <argv[2]>    <...>
#
# For mod_mysql_eza, the arguments are the hostname, username and password
# for logging into the MySQL server
#
#mod-primary	zundel.com			mod_mysql_eza	localhost dents_test dents !dented!
#primary         zundel.com                      db.zundel.com
