/* sock_udp.h - XXCOMMENTXX

   Dents - a threaded modular dns-server.
   Copyright (C) 1999  Dents Team  (http://www.dents.org)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or (at
   your option) any later version. This program is distributed in the
   hope that it will be useful, but WITHOUT ANY WARRANTY; without even
   the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
   PURPOSE.  See the GNU General Public License for more details.  */
/*
 * sock_udp.h
 *
 *  UDP socket stuff
 */
#ifndef SOCK_UDP_H
#define SOCK_UDP_H

typedef struct
{
  struct in_addr ip;		/* IP Address of other side */
  guint16 port;			/* Port of other side */
}
udppriv;

extern linkedlist udpsockets;

/* Prototypes */
int sock_udp_write (struct socketrec *sock, guchar * buf, int length,
		    struct in_addr *ip, guint16 port);
struct socketrec *sock_udp_alloc (void);
void sock_udp_free (struct socketrec *sock);

#endif
